gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-merchant] 01/03: skip tests if curl/jq are not found


From: gnunet
Subject: [taler-merchant] 01/03: skip tests if curl/jq are not found
Date: Tue, 01 Oct 2024 14:05:46 +0200

This is an automated email from the git hooks/post-receive script.

grothoff pushed a commit to branch master
in repository merchant.

commit a5694e741ace840acfe8774a8dc9e3455de4c0cd
Author: Christian Grothoff <christian@grothoff.org>
AuthorDate: Tue Oct 1 13:54:54 2024 +0200

    skip tests if curl/jq are not found
---
 src/testing/setup.sh | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/src/testing/setup.sh b/src/testing/setup.sh
index 80933149..6aff2599 100755
--- a/src/testing/setup.sh
+++ b/src/testing/setup.sh
@@ -65,3 +65,9 @@ function get_payto_uri() {
     libeufin-bank create-account -u "$1" -p "$2" --name "$1" 2> /dev/null
 }
 
+echo -n "Checking for curl ..."
+curl --version 2> /dev/null > /dev/null || exit_skip " no curl"
+echo " OK"
+echo -n "Checking for jq ..."
+jq --version 2> /dev/null > /dev/null || exit_skip " no jq"
+echo " OK"

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]